> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadles.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer by ID



## OpenAPI

````yaml /openapi/provider.api.yaml get /customers/{customerId}
openapi: 3.0.3
info:
  title: Nadles Provider API
  version: '0.1'
  description: Nadles Provider API allows managing products, customers and subscriptions
  x-logo:
    url: ''
servers:
  - url: https://provider.api.nadles.com/v0
    description: ''
security:
  - defaultApiKey: []
tags: []
paths:
  /customers/{customerId}:
    get:
      summary: Get customer by ID
      operationId: getCustomer
      parameters:
        - name: customerId
          in: path
          required: true
          description: The ID of the customer.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
components:
  schemas:
    Customer:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        external_id:
          type: string
          nullable: true
        billing_address_line1:
          type: string
          nullable: true
        billing_address_line2:
          type: string
          nullable: true
        billing_address_city:
          type: string
          nullable: true
        billing_address_country_code:
          type: string
          nullable: true
        billing_address_zip_code:
          type: string
          nullable: true
        billing_address_region:
          type: string
          nullable: true
        is_business:
          type: boolean
        business_name:
          type: string
          nullable: true
        company_number:
          type: string
          nullable: true
        tax_identifier:
          type: string
          nullable: true
  securitySchemes:
    defaultApiKey:
      description: API key provided in the admin portal
      type: apiKey
      name: nadles-provider-key
      in: header

````